vsql 5.0 client

Moderator: NorbertKrupa

vzingertal
Newbie
Newbie
Posts: 11
Joined: Wed Jul 25, 2012 7:54 pm

vsql 5.0 client

Post by vzingertal » Sat Jul 28, 2012 5:07 pm

Where can I find vsql 5.0 client for windows. The latest version of client (6.0) is incompatible with our Vertica server (5.0) :

FATAL : unsupported frontend protocol 3.3: server supports 3.0 to 3.1

id10t
GURU
GURU
Posts: 732
Joined: Mon Apr 16, 2012 2:44 pm

Re: vsql 5.0 client

Post by id10t » Sun Jul 29, 2012 2:02 am

Hi vzingertal!

Does exist such creature?

PS [...] protocol 3.3: server supports 3.0 to 3.1 [...] - it's about ODBC "server" ;)

vzingertal
Newbie
Newbie
Posts: 11
Joined: Wed Jul 25, 2012 7:54 pm

Re: vsql 5.0 client

Post by vzingertal » Sun Jul 29, 2012 5:38 pm

Which means that ODBC is being used when we use vsql on Windows (Cygwin) connecting to the remote Server. Nevertheless, how can I get around this problem? Help would be greatly appreciated!

id10t
GURU
GURU
Posts: 732
Joined: Mon Apr 16, 2012 2:44 pm

Re: vsql 5.0 client

Post by id10t » Sun Jul 29, 2012 6:13 pm

Hi!

>> Which means that ODBC is being used when we use vsql on Windows (Cygwin) connecting to the remote Server.
Yeap, looks like ODBC is being used.
About your problem: try to "downgrade" ODBC drivers. How to do it I don't know sorry, I don't use Windows, but it should be a dll file.

vzingertal
Newbie
Newbie
Posts: 11
Joined: Wed Jul 25, 2012 7:54 pm

Re: vsql 5.0 client

Post by vzingertal » Sun Jul 29, 2012 7:28 pm

You are right - downgrade is a ticket. The question is where to get Vertica ODBC drivers of a lower level. Or this is generic Windows ODBC drivers that are problematic? Man, what a hassle :(

User avatar
JimKnicely
Site Admin
Site Admin
Posts: 1817
Joined: Sat Jan 21, 2012 4:58 am
Contact:

Re: vsql 5.0 client

Post by JimKnicely » Tue Jul 31, 2012 5:11 pm

vzingertal,

You can download the Vertica 5.0 Database Windows ODBC drivers (version 4.19) from Vertica's site:

32-bit: 64-bit:
Jim Knicely

Image

Note: I work for Vertica. My views, opinions, and thoughts expressed here do not represent those of my employer.

vzingertal
Newbie
Newbie
Posts: 11
Joined: Wed Jul 25, 2012 7:54 pm

Re: vsql 5.0 client

Post by vzingertal » Tue Jul 31, 2012 8:36 pm

Thank you for your help, but I still get the same error message. The Vertica 5.0 ODBC drivers are still ODBC 3.5 according to the DLL names:
vertica_4.1_odbc_3.5_64.dll
vertica_4.1_odbc_3.5_64.lib

For some reason our server doesn't support anything above 3.1 :( Bummer...

Post Reply

Return to “New to Vertica Database Development”